Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.map
Class AbstractHashedMap.HashEntry

    java.lang.Object
      |
      +--org.apache.commons.collections.map.AbstractHashedMap.HashEntry

All Implemented Interfaces:
  KeyValue, Map.Entry

Direct Known Subclasses:
  AbstractLinkedMap.LinkEntry, AbstractReferenceMap.ReferenceEntry, IdentityMap.IdentityEntry

Enclosing class:
  AbstractHashedMap

protected static class AbstractHashedMap.HashEntry
extends Object
implements Map.Entry, KeyValue

HashEntry used to store the data.

If you subclass `AbstractHashedMap` but not `HashEntry` then you will not be able to access the protected fields. The `entryXxx()` methods on `AbstractHashedMap` exist to provide the necessary access.

Field Summary
`protected int` | `hashCode` The hash code of the key
`protected Object` | `key` The key
`protected AbstractHashedMap.HashEntry` | `next` The next entry in the hash chain
`protected Object` | `value` The value

Constructor Summary
`protected` | `AbstractHashedMap.HashEntry(AbstractHashedMap.HashEntry next, int hashCode, Object key, Object value)`

Method Summary
`boolean` | `equals(Object obj)`
`Object` | `getKey()` Gets the key from the pair.
`Object` | `getValue()` Gets the value from the pair.
`int` | `hashCode()`
`Object` | `setValue(Object value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### next

    protected AbstractHashedMap.HashEntry next

  The next entry in the hash chain

### hashCode

    protected int hashCode

  The hash code of the key

### key

    protected Object key

  The key

### value

    protected Object value

  The value

Constructor Detail

### AbstractHashedMap.HashEntry

    protected AbstractHashedMap.HashEntry(AbstractHashedMap.HashEntry next,
                                          int hashCode,
                                          Object key,
                                          Object value)

Method Detail

### getKey

    public Object getKey()

  Description copied from interface: `KeyValue`
  Gets the key from the pair.

  Specified by:
    `getKey` in interface `Map.Entry`
  Returns:
    the key

### getValue

    public Object getValue()

  Description copied from interface: `KeyValue`
  Gets the value from the pair.

  Specified by:
    `getValue` in interface `Map.Entry`
  Returns:
    the value

### setValue

    public Object setValue(Object value)

  Specified by:
    `setValue` in interface `Map.Entry`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Map.Entry`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map.Entry`
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.